Starry Night 8 Is Fully Compatible With macOS 10.15 Catalina

    Follow

    macOS-Catalina-logo.jpg

    Enjoy!

     

     

    Comments

    • Avatar
      ken3080911

      The date and time does not display properly in SN8 after I upgraded my Mac Mini to Catalina 10.15. Luckily my Macbook Air is still on Mojave running SN8.

    • Avatar
      john favalessa

      Keiron, I only wish you had pushed a simple update that gave a popup warning when opening Starry Night. Now its too late for me. Any idea when this will be fixed?

      john

    • Avatar
      Keiron Smith

      Hi John,

      Apologies, yes we should have implemented the alert via pop-up. On the brighter side, we expect to have the fix released within 48hrs.

      Thanks for your patience at this time.

    • Avatar
      ddferg

      I have Starry Night 6 and have a Blocked Symbol now that I updated to Catalina OS on my Mac. How do I get it functioning so I may download your new update? I am lost.

    • Avatar
      Keiron Smith

      SN6 is very old now - over 10 years by now. We are not updating SN6 anymore. We presently developing SN8 which is receiving the update, making it compatible with macOS 10.15 Catalina. You are welcome to upgrade from SN6 to SN8. You will get a significant discount for upgrading as well.

      https://store.simulationcurriculum.com/collections/upgrades

      Thanks!

    • Avatar
      Bruno Branco

      version 7 is also affected by this time and date bug.

    • Avatar
      ISAIAH HURLEY

      what Osx versions are compatible with sn8. I have an older mac and am trying to run sn8 on Osx version 10.11.6 or El capitan.

    • Avatar
      Keiron Smith

      SN7 & SN8 are compatible with MacOS 10.13 and higher.

    • Avatar
      ISAIAH HURLEY

      Once I register it once on a computer can I transfer the app to another computer or is it a one time event?

    • Avatar
      Keiron Smith

      You can transfer to another computer you own. Thx, Isaiah.